.checkbox {
    color: $dark;
    font-size: 0;
    line-height: 0;
    font-weight: 500;
    position: relative;
    display: inline-block;
    transition: .25s;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        visibility: hidden;
        position: absolute;

        &:checked + .checkbox__label {

            &:after {
                opacity: 1;
                visibility: visible;
                transition: .25s;
            }
        }
    }

    &__label {
        min-height: 22px;
        position: relative;
        font-size: 13px;
        line-height: 18px;
        padding-top: 2px;
        padding-left: 36px;
        cursor: pointer;
        display: inline-block;

        &:before {
            top: 0;
            left: 0;
            content: '';
            width: 22px;
            height: 22px;
            position: absolute;
            background: #F5F5F3;
            border: 1px solid #F5F5F3;
        }

        &::after {
            top: 5px;
            left: 8px;
            z-index: 5;
            width: 7px;
            height: 10px;
            content: '';
            position: absolute;
            border-right: 2px solid $purple;
            border-bottom: 2px solid $purple;
            transform: rotate(40deg);
            opacity: 0;
            visibility: hidden;
            transition: .25s;
        }

        &--md {
            font-size: 14px;
            line-height: 20px;
            min-height: 25px;
            padding-left: 36px;

            &:before {
                width: 25px;
                height: 25px;
            }
        }
    }

    &--border {

        .checkbox__label {

            &:before {
                background: $white;
                border-color: #BDBDBD;
            }

            &::after {
                top: 5px;
                left: 8px;
            }
        }
    }

    &:hover {
        color: $purple;
        transition: .25s;
    }

    @include media-breakpoint-up(md) {

        &__label {
            font-size: 16px;
            line-height: 21px;
            padding-left: 46px;
            min-height: 25px;

            &:before {
                width: 25px;
                height: 25px;
            }

            &::after {
                top: 6px;
                left: 9px;
            }
        }


        &--border {

            .checkbox__label {

                &::after {
                    top: 6px;
                    left: 9px;
                }
            }
        }
    }
}

.pretty-checkbox {
    font-size: 0;
    line-height: 0;
    font-weight: 500;
    position: relative;

    &__input {
        position: absolute;
        width: 0;
        height: 0;
        opacity: 0;

        &:checked + .pretty-checkbox__label {

            &::before {
                background-color: $purple;
                border-color: $purple;
            }

            &::after {
                opacity: 1;
                border-top-style : none;
                border-right-style : none;
                transform : rotate(-45deg);
                height : 7px;
                width : 12px;
                border-color : $white;
                border-radius : 0;
                border-width : 2px;
                top : 6px;
                left : 5px;
            }
        }

        &:disabled + .pretty-checkbox__label {
            opacity: 0.4;
        }
    }

    &__label {
        color: #687173;
        font-size: rem(10);
        line-height: 135%;
        position: relative;
        padding-left: rem(32);
        display: inline-block;

        a {
            color: $dark;
            text-decoration: underline;

            &:hover {
                color: $dark;
                text-decoration: none;
            }
        }

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 22px;
            height: 22px;
            display: block;
            position: absolute;
            border: 1px solid #BDBDBD;
        }

        &:after {
            z-index: 5;
            content : '';
            opacity: 0;
            height : 22px;
            width : 22px;
            border : 1px solid $white;
            position : absolute;
            border-radius : rem(4);
            top : 0;
            left : 0;
            -webkit-transition : 100ms ease-in-out;
            transition : 100ms ease-in-out;
        }
    }

    @include media-breakpoint-up(md) {

        &__input {

            &:checked + .pretty-checkbox__label {

                &::after {
                    top : 7px;
                    left : 6px;
                    height : 7px;
                    width : 13px;
                }
            }
        }

        &__label {
            font-size: rem(12);
            padding-top: rem(4);
            padding-left: rem(50);

            &::before {
                width: 25px;
                height: 25px;
            }
        }
    }
}
